Create an agent configuration
curl --request POST \
--url https://dust.tt/api/w/{wId}/assistant/agent_configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant": {}
}
'import requests
url = "https://dust.tt/api/w/{wId}/assistant/agent_configurations"
payload = { "assistant": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant: {}})
};
fetch('https://dust.tt/api/w/{wId}/assistant/agent_configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentConfiguration": {
"id": 123,
"sId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"pictureUrl": "<string>",
"model": {
"providerId": "<string>",
"modelId": "<string>",
"temperature": 123
},
"maxStepsPerRun": 123,
"tags": [
{
"sId": "<string>",
"name": "<string>"
}
],
"versionCreatedAt": "<string>",
"versionAuthorId": 123,
"instructions": "<string>",
"userFavorite": true,
"templateId": "<string>",
"requestedGroupIds": [
[
"<string>"
]
],
"requestedSpaceIds": [
"<string>"
],
"canRead": true,
"canEdit": true,
"lastAuthors": [
"<string>"
],
"editors": [
{
"sId": "<string>",
"fullName": "<string>",
"image": "<string>"
}
],
"usage": {
"messageCount": 123,
"conversationCount": 123,
"userCount": 123,
"timePeriodSec": 123
},
"feedbacks": {
"up": 123,
"down": 123
}
}
}Private Agents
Create an agent configuration
Creates a new agent configuration in the workspace.
POST
/
api
/
w
/
{wId}
/
assistant
/
agent_configurations
Create an agent configuration
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
Body
application/json
Agent configuration to create
Response
Success
Agent configuration as returned by the private list endpoint.
Show child attributes
Show child attributes
⌘I